読者です 読者をやめる 読者になる 読者になる

いつクリはてブロ

いつになったらクリエイティブするの?

【Ruby】rbenv install --listに欲しいバージョンが無い

そういやRuby2.1.2がリリースされてたなと今更ながら思い出し、rbenvでインストールしようと思ったところ、

cd ~/.rbenv
git pull
rbenv install --list

f:id:vivit_jc:20140906095827p:plain
無い。

解決方法

ruby-buildの方も最新版に更新しないとならない模様。

cd ~/.rbenv/plugins/ruby-build
git pull

当たり前といえば当たり前なんだけど。

ちなみにOSXなのでHomebrewを使うのが良さそうなんだけど、Githubから直にgit cloneする方法でrbenv環境を作ってしまったので、Homebrewを使ってる人は普通に

brew upgrade rbenv ruby-build

をやればいいらしい。ラクだなあと思いました。

参考


私はgit pullでいけました。